# [Light Bootstrap Dashboard Pro Angular](https://demos.creative-tim.com/light-bootstrap-dashboard-pro-angular2/)

![version](https://img.shields.io/badge/version-1.3.0-blue.svg) [![GitHub issues open](https://img.shields.io/github/issues/creativetimofficial/ct-light-bootstrap-dashboard-pro-angular.svg?maxAge=2592000)](https://github.com/creativetimofficial/ct-light-bootstrap-dashboard-pro-angular/issues?q=is%3Aopen+is%3Aissue) [![GitHub issues closed](https://img.shields.io/github/issues-closed-raw/creativetimofficial/ct-light-bootstrap-dashboard-pro-angular.svg?maxAge=2592000)](https://github.com/creativetimofficial/ct-light-bootstrap-dashboard-pro-angular/issues?q=is%3Aissue+is%3Aclosed)

![Product Gif](https://media.giphy.com/media/5UA7WEil3E4T7hRDHe/giphy.gif)

Light Bootstrap Dashboard PRO Angular is a Bootstrap Admin Theme designed to look simple and beautiful. Forget about boring dashboards and grab yourself a copy to kickstart new project! It is the easiest way to save time and money for your development.
What it is
Light Bootstrap Dashboard PRO Angular is built over Bootstrap and Angular and it comes integrated with a large number of third-party apps redesigned to fit in with the rest of the elements.

If you want to see the basic version of the dashboard, please check out this link. You can download it for free and play around to see if you like the look and feel of it.

This product came as a result of users asking for more functionality than the basic version. We developed it based your feedback and apps you are building. It is very powerful tool, that will allow you to build products ranging to admin panels to content managements systems.


#### Special thanks
To create this dashboard, we used already existing tools from awesome developers. We want to thank them for creating cool stuff and support them in the future:
[Angular](https://angular.io/) for the core structure
[Robert McIntosh](https://github.com/mouse0270) for the notification system
[Chartist](https://gionkunz.github.io/chartist-js/) for the wonderful charts
[Zhixin Wen](https://github.com/wenzhixin) for the [DataTables](http://bootstrap-table.wenzhixin.net.cn/documentation/)
[Tristan Edwards](https://twitter.com/t4t5) for the [Sweet Alert](https://limonte.github.io/sweetalert2/)
[Eonasdan](https://github.com/Eonasdan) for the [DateTimPicker](https://eonasdan.github.io/bootstrap-datetimepicker/)
Kirill Lebedev for [jVector Maps](http://jvectormap.com/)
[Vincent Gabriel](https://twitter.com/gabrielva) for the [Bootstrap Wizard](http://vinceg.github.io/twitter-bootstrap-wizard/)

We hope you will go great stuff with this tool. We look forward to hearing your thoughts, suggestions and feedback!

## Table of Contents

* [Versions](#versions)
* [Demo](#demo)
* [Quick Start](#quick-start)
* [Documentation](#documentation)
* [File Structure](#file-structure)
* [Browser Support](#browser-support)
* [Resources](#resources)
* [Reporting Issues](#reporting-issues)
* [Technical Support or Questions](#technical-support-or-questions)
* [Licensing](#licensing)
* [Useful Links](#useful-links)

## Versions

[<img src="https://s3.amazonaws.com/creativetim_bucket/github/html.png" width="60" height="60" />](https://www.creative-tim.com/product/light-bootstrap-dashboard-pro)
[<img src="https://s3.amazonaws.com/creativetim_bucket/github/react.svg" width="60" height="60" />](https://www.creative-tim.com/product/light-bootstrap-dashboard-pro-react)
[<img src="https://s3.amazonaws.com/creativetim_bucket/github/vuejs.png" width="60" height="60" />](https://www.creative-tim.com/product/vue-light-bootstrap-dashboard-pro)
[<img src="https://s3.amazonaws.com/creativetim_bucket/github/angular.png" width="60" height="60" />](https://www.creative-tim.com/product/light-bootstrap-dashboard-pro-angular2)


| HTML | React | Angular |
| --- | --- | --- |
| [![Light Bootstrap Dashboard Pro HTML](https://s3.amazonaws.com/creativetim_bucket/products/34/original/opt_lbd_pro_thumbnail.jpg)](https://www.creative-tim.com/product/light-bootstrap-dashboard-pro) | [![Light Bootstrap Dashboard Pro React](https://s3.amazonaws.com/creativetim_bucket/products/66/thumb/opt_lbdp_react_thumbnail.jpg)](https://www.creative-tim.com/product/light-bootstrap-dashboard-pro-react)  | [![Light Bootstrap Dashboard Pro Angular](https://s3.amazonaws.com/creativetim_bucket/products/54/opt_lbdp_angular_thumbnail.jpg)](https://www.creative-tim.com/product/light-bootstrap-dashboard-pro-angular2)

## Demo

- [Start page](https://demos.creative-tim.com/light-bootstrap-dashboard-pro-angular2/dashboard)
- [User profile page](https://demos.creative-tim.com/light-bootstrap-dashboard-pro-angular2/pages/user)
- [Tables page ](https://demos.creative-tim.com/light-bootstrap-dashboard-pro-angular2/tables/extended)
- [Maps Page](https://demos.creative-tim.com/light-bootstrap-dashboard-pro-angular2/maps/google)
- [Notifications page](https://demos.creative-tim.com/light-bootstrap-dashboard-pro-angular2/components/notifications)

[View More](https://demos.creative-tim.com/light-bootstrap-dashboard-pro-angular2/).

## Quick start

Quick start options:

- Buy from [Creative Tim](https://www.creative-tim.com/product/light-bootstrap-dashboard-pro-angular2).

## Terminal Commands

1. Install NodeJs from [NodeJs Official Page](https://nodejs.org/en).
2. Open Terminal
3. Go to your file project
4. Run in terminal: ```npm install -g @angular/cli```
5. Then: ```npm install```
6. And: ```npm start```
7. Navigate to [localhost:4200](localhost:4200)

## Quick Start:

Quick start options:

+ [Download from Creative Tim](http://www.creative-tim.com/product/light-bootstrap-dashboard-pro-angular2).

## Terminal Commands

1. Install NodeJs from [NodeJs Official Page](https://nodejs.org/en).
2. Open Terminal
3. Go to your file project
4. Run in terminal: ```npm install -g @angular/cli```
5. Then: ```npm install```
6. And: ```ng serve```
7. Navigate to: [http://localhost:4200/](http://localhost:4200/)

## Documentation
The documentation for the Light Bootstrap Dashboard Pro Angular is hosted at our [website](https://demos.creative-tim.com/light-bootstrap-dashboard-pro-angular2/documentation/tutorial).

### What's included

Within the download you'll find the following directories and files:

```
light-bootstrap-dashboard-pro-angular
├── CHANGELOG.md
├── README.md
├── angular.json
├── documentation
│   ├── css
│   └── documentation.html
├── e2e
├── karma.conf.js
├── package-lock.json
├── package.json
├── protractor.conf.js
├── src
│   ├── app
│   │   ├── app.component.css
│   │   ├── app.component.html
│   │   ├── app.component.spec.ts
│   │   ├── app.component.ts
│   │   ├── app.module.ts
│   │   ├── app.routing.ts
│   │   ├── calendar
│   │   │   ├── calendar.component.html
│   │   │   ├── calendar.component.ts
│   │   │   ├── calendar.module.ts
│   │   │   └── calendar.routing.ts
│   │   ├── charts
│   │   │   ├── charts.component.html
│   │   │   ├── charts.component.ts
│   │   │   ├── charts.module.ts
│   │   │   └── charts.routing.ts
│   │   ├── components
│   │   │   ├── buttons
│   │   │   │   ├── buttons.component.html
│   │   │   │   └── buttons.component.ts
│   │   │   ├── components.module.ts
│   │   │   ├── components.routing.ts
│   │   │   ├── grid
│   │   │   │   ├── grid.component.html
│   │   │   │   └── grid.component.ts
│   │   │   ├── icons
│   │   │   │   ├── icons.component.html
│   │   │   │   └── icons.component.ts
│   │   │   ├── notifications
│   │   │   │   ├── notifications.component.html
│   │   │   │   └── notifications.component.ts
│   │   │   ├── panels
│   │   │   │   ├── panels.component.html
│   │   │   │   └── panels.component.ts
│   │   │   ├── sweetalert
│   │   │   │   ├── sweetalert.component.html
│   │   │   │   └── sweetalert.component.ts
│   │   │   └── typography
│   │   │       ├── typography.component.html
│   │   │       └── typography.component.ts
│   │   ├── dashboard
│   │   │   ├── dashboard.component.html
│   │   │   ├── dashboard.component.ts
│   │   │   ├── dashboard.module.ts
│   │   │   └── dashboard.routing.ts
│   │   ├── forms
│   │   │   ├── equal-validator.directive.ts
│   │   │   ├── extendedforms
│   │   │   │   ├── extendedforms.component.html
│   │   │   │   └── extendedforms.component.ts
│   │   │   ├── forms.module.ts
│   │   │   ├── forms.routing.ts
│   │   │   ├── regularforms
│   │   │   │   ├── regularforms.component.html
│   │   │   │   └── regularforms.component.ts
│   │   │   ├── validationforms
│   │   │   │   ├── password-validator.component.ts
│   │   │   │   ├── validationforms.component.html
│   │   │   │   └── validationforms.component.ts
│   │   │   └── wizard
│   │   │       ├── wizard.component.html
│   │   │       └── wizard.component.ts
│   │   ├── layouts
│   │   │   ├── admin
│   │   │   │   ├── admin-layout.component.html
│   │   │   │   └── admin-layout.component.ts
│   │   │   └── auth
│   │   │       ├── auth-layout.component.html
│   │   │       └── auth-layout.component.ts
│   │   ├── lbd
│   │   │   ├── lbd-chart
│   │   │   │   ├── lbd-chart.component.html
│   │   │   │   └── lbd-chart.component.ts
│   │   │   ├── lbd-table
│   │   │   │   ├── lbd-table.component.html
│   │   │   │   └── lbd-table.component.ts
│   │   │   ├── lbd-task-list
│   │   │   │   ├── lbd-task-list.component.html
│   │   │   │   └── lbd-task-list.component.ts
│   │   │   └── lbd.module.ts
│   │   ├── maps
│   │   │   ├── fullscreenmap
│   │   │   │   ├── fullscreenmap.component.html
│   │   │   │   └── fullscreenmap.component.ts
│   │   │   ├── googlemaps
│   │   │   │   ├── googlemaps.component.html
│   │   │   │   └── googlemaps.component.ts
│   │   │   ├── maps.module.ts
│   │   │   ├── maps.routing.ts
│   │   │   └── vectormaps
│   │   │       ├── vectormaps.component.html
│   │   │       └── vectormaps.component.ts
│   │   ├── pages
│   │   │   ├── lock
│   │   │   │   ├── lock.component.html
│   │   │   │   └── lock.component.ts
│   │   │   ├── login
│   │   │   │   ├── login.component.html
│   │   │   │   └── login.component.ts
│   │   │   ├── pages.module.ts
│   │   │   ├── pages.routing.ts
│   │   │   └── register
│   │   │       ├── register.component.html
│   │   │       └── register.component.ts
│   │   ├── shared
│   │   │   ├── fixedplugin
│   │   │   │   ├── fixedplugin.component.html
│   │   │   │   ├── fixedplugin.component.ts
│   │   │   │   └── fixedplugin.module.ts
│   │   │   ├── footer
│   │   │   │   ├── footer.component.html
│   │   │   │   ├── footer.component.ts
│   │   │   │   └── footer.module.ts
│   │   │   ├── navbar
│   │   │   │   ├── navbar.component.html
│   │   │   │   ├── navbar.component.ts
│   │   │   │   └── navbar.module.ts
│   │   │   └── pagesnavbar
│   │   │       ├── pagesnavbar.component.css
│   │   │       ├── pagesnavbar.component.html
│   │   │       ├── pagesnavbar.component.spec.ts
│   │   │       ├── pagesnavbar.component.ts
│   │   │       └── pagesnavbar.module.ts
│   │   ├── sidebar
│   │   │   ├── sidebar.component.html
│   │   │   ├── sidebar.component.ts
│   │   │   └── sidebar.module.ts
│   │   ├── tables
│   │   │   ├── datatable.net
│   │   │   │   ├── datatable.component.html
│   │   │   │   └── datatable.component.ts
│   │   │   ├── extendedtable
│   │   │   │   ├── extendedtable.component.html
│   │   │   │   └── extendedtable.component.ts
│   │   │   ├── regulartable
│   │   │   │   ├── regulartable.component.html
│   │   │   │   └── regulartable.component.ts
│   │   │   ├── tables.module.ts
│   │   │   └── tables.routing.ts
│   │   └── userpage
│   │       ├── user.component.html
│   │       ├── user.component.ts
│   │       ├── user.module.ts
│   │       └── user.routing.ts
│   ├── assets
│   │   ├── css
│   │   ├── fonts
│   │   ├── img
│   │   ├── js
│   │   └── sass
│   │       ├── lbd
│   │       └── light-bootstrap-dashboard.scss
│   ├── environments
│   ├── favicon.ico
│   ├── index.html
│   ├── main.ts
│   ├── polyfills.ts
│   ├── styles.css
│   ├── test.ts
│   ├── tsconfig.app.json
│   ├── tsconfig.spec.json
│   └── typings.d.ts
├── tsconfig.json
├── tslint.json
├── typings
└── typings.json
```

## Browser Support

At present, we officially aim to support the last two versions of the following browsers:

<img src="https://s3.amazonaws.com/creativetim_bucket/github/browser/chrome.png" width="64" height="64"> <img src="https://s3.amazonaws.com/creativetim_bucket/github/browser/firefox.png" width="64" height="64"> <img src="https://s3.amazonaws.com/creativetim_bucket/github/browser/edge.png" width="64" height="64"> <img src="https://s3.amazonaws.com/creativetim_bucket/github/browser/safari.png" width="64" height="64"> <img src="https://s3.amazonaws.com/creativetim_bucket/github/browser/opera.png" width="64" height="64">


## Resources
- [Live Preview](https://demos.creative-tim.com/light-bootstrap-dashboard-pro-angular2/)
- Buy Page: https://www.creative-tim.com/product/light-bootstrap-dashboard-pro-angular2
- Documentation is [here](https://demos.creative-tim.com/light-bootstrap-dashboard-pro-angular2/documentation/tutorial)
- License Agreement: https://www.creative-tim.com/license
- Support: https://www.creative-tim.com/contact-us
- Issues: [Github Issues Page](https://github.com/creativetimofficial/ct-light-bootstrap-dashboard-pro-angular/issues)
- Light Bootstrap Dashboard Angular - [demo](https://www.creative-tim.com/product/light-bootstrap-dashboard-angular2?ref=github-lbda-pro)

## Reporting Issues
We use GitHub Issues as the official bug tracker for the Light Bootstrap Dashboard Pro Angular. Here are some advices for our users that want to report an issue:

1. Make sure that you are using the latest version of the Light Bootstrap Dashboard Pro Angular. Check the CHANGELOG from your dashboard on our [website](https://www.creative-tim.com/).
2. Providing us reproducible steps for the issue will shorten the time it takes for it to be fixed.
3. Some issues may be browser specific, so specifying in what browser you encountered the issue might help.

## Technical Support or Questions

If you have questions or need help integrating the product please [contact us](https://www.creative-tim.com/contact-us) instead of opening an issue.

## Licensing

- Copyright 2018 Creative Tim (https://www.creative-tim.com)
- Creative Tim [license](https://www.creative-tim.com/license)

## Useful Links

- [More products](https://www.creative-tim.com/bootstrap-themes/angular-themes) from Creative Tim

- [Tutorials](https://www.youtube.com/channel/UCVyTG4sCw-rOvB9oHkzZD1w)

- [Freebies](https://www.creative-tim.com/bootstrap-themes/free) from Creative Tim

- [Affiliate Program](https://www.creative-tim.com/affiliates/new) (earn money)

##### Social Media

Twitter: <https://twitter.com/CreativeTim>

Facebook: <https://www.facebook.com/CreativeTim>

Dribbble: <https://dribbble.com/creativetim>

Google+: <https://plus.google.com/+CreativetimPage>

Instagram: <https://instagram.com/creativetimofficial>
